# Class: TabixUrlSource

## LocusZoom_Adapters~TabixUrlSource()

Loads data from a remote Tabix file (if the file host has been configured with proper CORS and Range header support). For instructions on how to configure a remote file host such as S3 or Google Cloud storage to serve files in the manner required, see: https://docs.cancergenomicscloud.org/docs/enabling-cross-origin-resource-sharing-cors#CORS

## Constructor

#### new TabixUrlSource()

##### Parameters:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`config.parser_func` | function |  |  | A function that parses a single line of text and returns (usually) a structured object of data fields
`config.url_data` | string |  |  | The URL for the bgzipped and tabix-indexed file
`config.url_tbi` | string | <optional> |  | The URL for the tabix index. Defaults to `url_data` + '.tbi'
`config.reader` | Promise.<Reader> | <optional> |  | The URL for tabix-reader instance that provides the data. Mutually exclusive with providing a URL. Most LocusZoom usages will not pass an external reader. This option exists for websites like LocalZoom that accept many file formats and want to perform input validation before creating the plot: "select parser options", etc.
`config.overfetch` | number | <optional> | 0 | Optionally fetch more data than is required to satisfy the region query. (specified as a fraction of the region size, 0-1). Useful for sources where interesting features might lie near the edges of the plot, eg BED track intervals.

Source:
  - ext/lz-tabix-source.js, line 66
See:
  - module:ext/lz-tabix-source for required extension and installation instructions
  - module:LocusZoom_Adapters~BaseLZAdapter